Bug 108413 - Text in form text fields no longer visible
Summary: Text in form text fields no longer visible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.4.0.0.beta1
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.0.0 target:5.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Database-Forms
  Show dependency treegraph
 
Reported: 2017-06-08 12:48 UTC by surbun
Modified: 2017-06-21 15:26 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
concened file (114.03 KB, application/vnd.oasis.opendocument.database)
2017-06-08 12:49 UTC, surbun
Details
llustration file (627.22 KB, application/vnd.oasis.opendocument.graphics)
2017-06-08 12:50 UTC, surbun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description surbun 2017-06-08 12:48:40 UTC
Description:
I have a file created under a version prior to 5.4. There's various items in this file. When I open the form every of my text fields are empty (no display) even in the summery table, while the text exist. (I joined the concerned file & illustration file)

Steps to Reproduce:
1.Open attached file
2.Double click on "1_TCI"
3.

Actual Results:  
Written text fields empty

Expected Results:
Every text field displaying the written text


Reproducible: Always

User Profile Reset: Yes

Additional Info:
Same result with 5.5 alpha version
No problem with the 5.3.1.2 version

LibreOffice version: 5.3.1.2 FR (supplied with the OS)
OS: UBUNTU 17.04 x64 - Gnome 3.24.1


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 surbun 2017-06-08 12:49:55 UTC
Created attachment 133914 [details]
concened file
Comment 2 surbun 2017-06-08 12:50:28 UTC
Created attachment 133915 [details]
llustration file
Comment 3 surbun 2017-06-08 12:51:45 UTC
Sorry if ever it is a duplicate. I looked for a similar bug report before filing the issue.
Thanks
Comment 4 Robert Großkopf 2017-06-09 15:38:51 UTC
Could confirm the buggy behavior. Content of fields is shown in LO 5.3.3.2
but has been gone in most of the fields in LO 5.4.0.0.beta1.

My System: OpenSUSE 42.2 64bit rpm Linux

Note: If you mark a field in the tablecontrol the content of this field isn't shown - another bug?
Comment 5 surbun 2017-06-09 16:22:26 UTC
Same bug under WIN 10 x64 - 5.4.0 beta2 version
Comment 6 Thomas Woltjer 2017-06-10 12:51:49 UTC
Replicated in Manjaro Linux 64-bit as well.

Version: 5.4.0.0.beta2+
Build ID: 81e7ef8d3941de527f21c1508389c9e09518680b
CPU threads: 16; OS: Linux 4.9; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-06-08_04:31:09
Locale: en-US (en_US.utf8); Calc: group
Comment 7 Yousuf Philips (jay) (retired) 2017-06-10 14:40:27 UTC
raal, aron, xisco: anyone got time to bibisect this 5.4 regress?
Comment 8 raal 2017-06-10 15:01:34 UTC
This seems to have begun at the below commit.
Adding Cc: to Eike Rathke ; Could you possibly take a look at this one?
Thanks

e361a8ce9a21e0d2060b6597decdbaa443cf6224 is the first bad commit
commit e361a8ce9a21e0d2060b6597decdbaa443cf6224
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Feb 16 23:39:19 2017 +0100

    source sha:838fab822c8052dd9471e28a70b1907dfde111af

author	Eike Rathke <erack@redhat.com>	2017-02-10 17:27:14 (GMT)
committer	Eike Rathke <erack@redhat.com>	2017-02-14 10:49:35 (GMT)
commit	838fab822c8052dd9471e28a70b1907dfde111af (patch)
tree	036311c563a47419f0c0dd3321872aa74ea868bb
parent	cdbec91da4931be72ed4f1b28f78d83a9a0d616f (diff)
Resolves: tdf#79250 add typed list to form control listbox
Comment 9 Eike Rathke 2017-06-12 11:37:42 UTC
Investigating.
Comment 10 Commit Notification 2017-06-12 15:28:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f8670ecebcf2af9c98b805c5e446ff073354d92

Resolves: tdf#108413 yet some more TYPEDITEMLIST property entries

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Eike Rathke 2017-06-12 15:34:30 UTC
Pending CI build verification at https://gerrit.libreoffice.org/38704 for 5-4
Comment 12 Commit Notification 2017-06-12 18:17:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1d695fb6a4f5a9711d072cca42ca90bff37858a&h=libreoffice-5-4

Resolves: tdf#108413 yet some more TYPEDITEMLIST property entries

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-06-13 01:15:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1ace08b5b86a76e7275dcef2545a7d52ae2ed2d

Fix subsequentcheck, TYPEDITEMLIST has to be OPTIONAL, tdf#108413 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2017-06-13 01:18:47 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ac550cb9e9379b32853518f9e366e0620ae2f69&h=libreoffice-5-4

Fix subsequentcheck, TYPEDITEMLIST has to be OPTIONAL, tdf#108413 follow-up

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2017-06-14 11:34:48 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96ef5d50da2c0c5a1edb279c413f73754d400537

Handle TypedItemList property in models, tdf#108413 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 surbun 2017-06-20 03:37:24 UTC
Tried with the 2017-06-18_14:57:56 version and it seems to me that the bug is solved. The text fields display their contents.

Thanks a lot for the patch

Bunty
Comment 17 vihsa 2017-06-21 15:26:35 UTC
according to comment 16, hence, issue status change.